Last Comment Bug 322603 - Support easy linking to bugs from the wiki.
: Support easy linking to bugs from the wiki.
Status: RESOLVED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations: Projects (show other bugs)
: other
: x86 Windows XP
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Justin Fitzhugh
Mentors:
http://wiki.mozilla.org/index.php?tit...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 13:18 PST by skierpage
Modified: 2015-03-12 08:24 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description skierpage 2006-01-06 13:18:13 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051228 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051228 Firefox/1.6a1

According to http://meta.wikimedia.org/wiki/Help:Interwiki_links#bugzilla_links you can make a wiki support [[mozbug:315637]] to autogenerate bugzilla links.  This would be a nice feature for Mozilla's own wiki.

Reproducible: Always

Steps to Reproduce:
1.  Try to enter a link to a bug in http://wiki.mozilla.org


Actual Results:  
You have to hardcode [https://bugzilla.mozilla.org/show_bug.cgi?id=315637 315637]

Expected Results:  
Tweak the wiki to support an InterWiki bugzilla link per the Meta-Wiki docs linked above.

I'm not sure if Wiki enhancements should be tracked in Wiki discussion pages ( http://wiki.mozilla.org/Help_talk:Editing ) or the bug base, I'm sorry if one or both of these are incorrect.
Comment 1 Dave Miller [:justdave] (justdave@bugzilla.org) 2006-01-06 13:21:32 PST
Sticking this here in lieu of a component for the wiki (which is coming as soon as the new Websites product is up and running)
Comment 2 Deb Richardson [:dria] (plz NEEDINFO) 2006-02-10 09:18:49 PST
We've actually just added a simple template for this on the MDC wiki.  You can see it here: http://developer.mozilla.org/en/docs/Template:bug

Usage is simply: {{bug|#}}, so this bug would be {{bug|322603}}

Works well and doesn't require any special wiki patching or anything.
Comment 3 skierpage 2006-02-10 15:09:47 PST
Nifty, you can mark this FIXED.

I updated the "Editing help" page with this tip.  I notice that on wiki.mozilla.org the template creates a link to the http server (http://bugzilla.mozilla.org/show_bug.cgi?id=322603) which then issues a "301 Moved Permanently" redirect to the httpS secure server.  But on  developer.wiki.org it creates a link direct to the https server.
Comment 4 skierpage 2006-02-10 15:17:44 PST
I made the template http://wiki.mozilla.org/Template:Bug match http://developer.mozilla.org/en/docs/Template:bug in going to https bugzilla server.

Marking fixed, though "dria" did all the work :)

Note You need to log in before you can comment on or make changes to this bug.